# Generated from grepo-0.1.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name grepo

Name: rubygem-%{gem_name}
Version: 0.1.7
Release: 1%{?dist}
Summary: Grepo will grep for yaml and json keys
License: MIT
URL: http://rubygems.org/gems/grepo
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Grepo is a small gem that helps you to clean up your yaml and json files. It's
usefull if you are having your translations in yaml or json files especially
if the files are numerous and have a lot of lines. It can detect keys you
aren’t using, can find duplicated keys and compere two files to find the
missing keys. It won’t remove the targeted keys neither it will alter your
files in any way, just grep for possible problems.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/grepo
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.7-1
- Initial package
